Commit 254342be authored by Andrey Vagin's avatar Andrey Vagin Committed by Pavel Emelyanov

test/rpc: fix test execution

* fix compilation from the test/rpc directory

$ make
make: *** No rule to make target `/rpc.proto', needed by `rpc.pb-c.c'. Stop.

* use absolute path for pidfile

$ bash run.sh
**************************************************
		Shutdown service server
**************************************************

cat: pidfile: No such file or directory
kill: usage: kill [-s sigspec | -n signum | -sigspec] pid | jobspec ...
or kill -l [sigspec]

Cc: Ruslan Kuprieiev <kupruser@gmail.com>
Signed-off-by: 's avatarAndrey Vagin <avagin@openvz.org>
Signed-off-by: 's avatarPavel Emelyanov <xemul@parallels.com>
parent caacf3f0
......@@ -3,14 +3,14 @@ all: test-c rpc_pb2.py
test-c: rpc.pb-c.o test.o
gcc $^ -o $@ -lprotobuf-c
test.o: ../test.c
test.o: test.c
gcc -c $< -I ./
rpc_pb2.py: ${PROTODIR}/rpc.proto
protoc --proto_path=${PROTODIR} --python_out=. ${PROTODIR}/rpc.proto
rpc_pb2.py: rpc.proto
protoc --proto_path=. --python_out=. rpc.proto
rpc.pb-c.c: ${PROTODIR}/rpc.proto
protoc-c --proto_path=${PROTODIR} --c_out=. ${PROTODIR}/rpc.proto
rpc.pb-c.c: rpc.proto
protoc-c --proto_path=. --c_out=. rpc.proto
clean:
rm -rf build
rm -rf build rpc.pb-c.o test.o test-c rpc.pb-c.c rpc.pb-c.h rpc_pb2.py
../../protobuf/rpc.proto
\ No newline at end of file
......@@ -34,13 +34,13 @@ title_print "Build programs"
make clean
mkdir build
cd build
make -f ../Makefile || { echo "FAIL"; exit 1; }
make -C ../ || { echo "FAIL"; exit 1; }
title_print "Start service server"
${CRIU} service -v4 -o service.log --address criu_service.socket -d --pidfile pidfile || { echo "FAIL"; exit 1; }
${CRIU} service -v4 -o service.log --address criu_service.socket -d --pidfile `pwd`/pidfile || { echo "FAIL"; exit 1; }
title_print "Run test-c"
./test-c || _exit $?
../test-c || _exit $?
title_print "Run test-py"
../test.py || _exit $?
......
#include "rpc.pb-c.h"
#include <stdlib.h>
#include <stdbool.h>
#include <sys/socket.h>
#include <sys/un.h>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment